## gnome-clocks 0.1.1

=== debian/changelog ===
gnome-clocks (0.1.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.
  * debian/control:
    - Depend on libcanberra instead of libcanberra-gtk
    - Depend on python-gi (>= 3.3.91)
  * Dropped all patches; applied in new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Sep 2012 17:00:35 -0400

gnome-clocks (0.1.0-0ubuntu1) quantal; urgency=low

  * Initial release (LP: #1045160)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Sep 2012 23:52:11 -0400

## gnome-clocks 0.1.2

=== debian/changelog ===
gnome-clocks (0.1.2-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release (LP: #1052759)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Sep 2012 21:58:59 +1200

## gnome-clocks 3.38.0

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development',
  ],
  value: 'default',
  description: 'The build profile for Clock. One of "default" or "development".'
)

## gnome-clocks 0.1.3

=== debian/changelog ===
gnome-clocks (0.1.3-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 27 Sep 2012 09:49:53 +1200

=== debian/control ===
Source: gnome-clocks
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper (>= 9),
               python (>= 2.6.6-3~),
               python-distutils-extra
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/experimental/gnome-clocks
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-clocks/
Homepage: https://live.gnome.org/GnomeClocks

Package: gnome-clocks
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         gir1.2-clutter-1.0,
         gir1.2-gweather-3.0,
         gir1.2-gtkclutter-1.0,
         gir1.2-notify-0.7,
         libcanberra0,
         python-cairo,
         python-gi (>= 3.3.91)
Description: Simple GNOME app to show the time, date, and alarms
 GNOME Clocks is a simple application to show the time and date in multiple
 locations and to set alarms.

## gnome-clocks 0.1.4

=== debian/changelog ===
gnome-clocks (0.1.4-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix and translation update release (LP: #1067141)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Oct 2012 21:32:52 -0400

## gnome-clocks 0.1.5

=== debian/changelog ===
gnome-clocks (0.1.5-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - Depend on gir1.2-gnomedesktop-3.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Dec 2012 13:45:51 -0500

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
          ${misc:Depends},
          ${python:Depends},
          gir1.2-clutter-1.0,
+         gir1.2-gnomedesktop-3.0 (>= 3.1.91),
          gir1.2-gweather-3.0,
          gir1.2-gtkclutter-1.0,
          gir1.2-notify-0.7,

## gnome-clocks 3.8.0

=== debian/changelog ===
gnome-clocks (3.8.0-1) experimental; urgency=low

  [ Jean Schurger ]
  * New upstream version.
  * Added runtime dependency to libgweather-common (the schema file is needed).
  * Updated Standards-Version to 3.9.4.
  * Updated Vcs-Svn.

  [ Sjoerd Simons ]
  * debian/copyright: Add libgd copyright

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 07 Apr 2013 10:19:52 +0200

gnome-clocks (3.7.92-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * Initial release

  [ Sjoerd Simons ]
  * New upstream release (Update build-depends)
  * debian/control: Use standard gnome-pkg-tools rules

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 Mar 2013 16:17:14 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-clocks
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools,
               pkg-config,
               intltool,
               valac (>= 0.17.4) | valac-0.18,
               libgweather-3-dev (>= 3.7.90),
               libnotify-dev (>= 0.7.0),
               libcanberra-dev (>= 0.30),
               libgtk-3-dev (>= 3.7.12),
               libgnome-desktop-3-dev (>= 3.7.90),
               libgirepository1.0-dev
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/experimental/gnome-clocks
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-clocks/
Homepage: https://live.gnome.org/GnomeClocks

Package: gnome-clocks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgweather-common (>= 3.7.91)
Description: Simple GNOME app with stopwatch, timer, and world clock support
 GNOME Clocks is a simple application to show the time and date in multiple
 locations and set alarms or timers. A stopwatch is also included.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@

## gnome-clocks 3.8.2

=== debian/changelog ===
gnome-clocks (3.8.2-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Andreas Henriksson ]
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Oct 2013 01:23:37 +0200

gnome-clocks (3.8.2-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Drop alternate build-depends on valac-0.18 since it's no longer in
      Debian and unnecessary

  [ Andreas Henriksson ]
  * Add missing Licence field to debian/copyright as required
    by the spec for machine readable copyright file. Thanks lintian.
  * Drop "Added runtime dependency to libgweather-common"
    - libgweather-3-3 has been fixed to depend on newer libgweather-common

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Jun 2013 23:06:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                gnome-pkg-tools,
                pkg-config,
                intltool,
-               valac (>= 0.17.4) | valac-0.18,
+               valac (>= 0.17.4),
                libgweather-3-dev (>= 3.7.90),
                libnotify-dev (>= 0.7.0),
                libcanberra-dev (>= 0.30),
@@ -22,13 +22,12 @@
 Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/experimental/gnome-clocks
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-clocks/
-Homepage: https://live.gnome.org/GnomeClocks
+Homepage: https://wiki.gnome.org/GnomeClocks
 
 Package: gnome-clocks
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libgweather-common (>= 3.7.91)
+         ${misc:Depends}
 Description: Simple GNOME app with stopwatch, timer, and world clock support
  GNOME Clocks is a simple application to show the time and date in multiple
  locations and set alarms or timers. A stopwatch is also included.

## gnome-clocks 3.10.1

=== debian/changelog ===
gnome-clocks (3.10.1-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control{.in}:
      + Add missing itstool and libxml2-utils build dependencies.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 16 Mar 2014 12:54:17 +0100

gnome-clocks (3.10.1-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * Fix Vcs-* fields in debian/control*
  * New upstream release.
  * Update build-dependencies according to configure.ac:
    - Bump libgweather-3-dev to >= 3.9.91
    - Add libgeocode-glib-dev (>= 0.99.4)
    - Bump valac to >= 0.21.2
    - Bump libgtk-3-dev to >= 3.9.11
    - Add geoclue (>= 2.0)
  * Add gnome-clocks dependency on geoclue (>= 2.0)
  * Add blurb in debian/rules that forces rebuild from vala source
  * Bump build-dependency on libgweather-3-dev to >= 3.10.1-1~
    - vala bindings got enabled in that package revision

  [ Jackson Doak ]
  * Add --disable-silent-rules to configure call, gives verbose buildlogs
  * Update homepage. Closes: #728997

  [ Laurent Bigonville ]
  * debian/control.in: {Build-}depends against geoclue-2.0 instead of geoclue
    (>= 2.0)

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 22 Feb 2014 19:16:43 +0100

gnome-clocks (3.10.1-0ubuntu2) trusty; urgency=medium

  * Add missing itstool and libxml2-utils build dependencies.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jan 2014 18:11:44 +0100

gnome-clocks (3.10.1-0ubuntu1) trusty; urgency=medium

  * New upstream release that works with current libgweather.
  * debian/control.in: Bump gtk and libgweather build deps, add
    libgeocode-glib-dev and geoclue-2.0 build deps as per upstream
    configure.ac.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jan 2014 17:34:02 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-clocks
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools,
               pkg-config,
               geoclue-2.0,
               intltool,
               valac (>= 0.21.2),
               libgeocode-glib-dev (>= 0.99.4),
               libgweather-3-dev (>= 3.10.1-1~),
               libnotify-dev (>= 0.7.0),
               libcanberra-dev (>= 0.30),
               libgtk-3-dev (>= 3.9.11),
               libgnome-desktop-3-dev (>= 3.7.90),
               libgirepository1.0-dev,
               itstool,
               libxml2-utils,
               yelp-tools
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-clocks
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-clocks/
Homepage: https://wiki.gnome.org/Design/Apps/Clock

Package: gnome-clocks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         geoclue-2.0
Description: Simple GNOME app with stopwatch, timer, and world clock support
 GNOME Clocks is a simple application to show the time and date in multiple
 locations and set alarms or timers. A stopwatch is also included.

## gnome-clocks 3.12.0

=== debian/changelog ===
gnome-clocks (3.12.0-2build1) utopic; urgency=medium

  * No change rebuild for gnome-desktop 3.12

 -- Tim Lunn <tim@feathertop.org>  Tue, 23 Sep 2014 08:24:08 +1000

gnome-clocks (3.12.0-2) unstable; urgency=medium

  * debian/control.in:
    + Bump libgtk-3-dev to 3.12, needed for GtkActionBar.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 14:07:08 +0200

gnome-clocks (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - Bump valac 0.23.3, add glib 2.39 and drop libnotify.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Mar 2014 19:13:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,21 @@
 Source: gnome-clocks
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                gnome-pkg-tools,
                pkg-config,
                geoclue-2.0,
                intltool,
-               valac (>= 0.21.2),
+               valac (>= 0.23.3),
                libgeocode-glib-dev (>= 0.99.4),
+               libglib2.0-dev (>= 2.39),
                libgweather-3-dev (>= 3.10.1-1~),
-               libnotify-dev (>= 0.7.0),
                libcanberra-dev (>= 0.30),
-               libgtk-3-dev (>= 3.9.11),
+               libgtk-3-dev (>= 3.12),
                libgnome-desktop-3-dev (>= 3.7.90),
                libgirepository1.0-dev,
-               itstool,
-               libxml2-utils,
                yelp-tools
 Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-clocks

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	find . -name "*_vala.stamp" | xargs rm -f
+	dh_auto_configure -- --disable-silent-rules

## gnome-clocks 3.14.1

=== debian/changelog ===
gnome-clocks (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.9.6 (no further changes)
    - Update the Homepage URL

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 22:50:31 +0200

gnome-clocks (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump libgweather-3-dev build-dependency to >= 3.13.91
    - according to configure.ac changes
  * Bump gtk+ build-dependency to 3.13.8 and valac >= 0.25.3
    - Usage of Gtk.StateFlags.CHECKED

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 24 Sep 2014 16:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                gnome-pkg-tools,
                pkg-config,
                geoclue-2.0,
                intltool,
-               valac (>= 0.23.3),
+               valac (>= 0.25.3),
                libgeocode-glib-dev (>= 0.99.4),
                libglib2.0-dev (>= 2.39),
-               libgweather-3-dev (>= 3.10.1-1~),
+               libgweather-3-dev (>= 3.13.91),
                libcanberra-dev (>= 0.30),
-               libgtk-3-dev (>= 3.12),
+               libgtk-3-dev (>= 3.13.8),
                libgnome-desktop-3-dev (>= 3.7.90),
                libgirepository1.0-dev,
                yelp-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-clocks
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-clocks/
-Homepage: https://wiki.gnome.org/Design/Apps/Clock
+Homepage: https://wiki.gnome.org/Apps/Clocks
 
 Package: gnome-clocks
 Architecture: any

## gnome-clocks 3.16.1

=== debian/changelog ===
gnome-clocks (3.16.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump intltool to >= 0.50.1
    - replace libcanberra with gsound

  [ Michael Biebl ]
  * Drop obsolete section about libgd/ from debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Sep 2015 18:29:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                gnome-pkg-tools,
                pkg-config,
                geoclue-2.0,
-               intltool,
+               intltool (>= 0.50.1),
                valac (>= 0.25.3),
                libgeocode-glib-dev (>= 0.99.4),
                libglib2.0-dev (>= 2.39),
                libgweather-3-dev (>= 3.13.91),
-               libcanberra-dev (>= 0.30),
+               libgsound-dev (>= 0.98),
                libgtk-3-dev (>= 3.13.8),
                libgnome-desktop-3-dev (>= 3.7.90),
                libgirepository1.0-dev,

## gnome-clocks 3.16.2

=== debian/changelog ===
gnome-clocks (3.16.2-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Add build-depends on dh-autoreconf
  * debian/rules:
    - Use dh-autoreconf to fix FTBFS on aarch64
  * debian/patches/no-gettext.patch:
    - Don't use both intltool and gettext - they conflict

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 12 Oct 2015 10:03:58 +0100

gnome-clocks (3.16.2-0ubuntu1) wily; urgency=medium

  * New upstream stable release:
    - Fix redraw issue with newer GTK+
    - Improve geolocation icon with Hi-DPI displays
    - Updated translations

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 07 Oct 2015 11:30:34 +1300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                gnome-pkg-tools,
                pkg-config,
                geoclue-2.0,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	find . -name "*_vala.stamp" | xargs rm -f

## gnome-clocks 3.18.0

=== debian/changelog ===
gnome-clocks (3.18.0-1build1) xenial; urgency=medium

  * No-change rebuild against new gnome libraries

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Nov 2015 15:38:30 +0000

gnome-clocks (3.18.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 01 Oct 2015 14:33:26 +0200

gnome-clocks (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Use autotools-dev to update config.*

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 16:56:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+               autotools-dev,
                gnome-pkg-tools,
                pkg-config,
                geoclue-2.0,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autotools_dev
 
 override_dh_auto_configure:
 	find . -name "*_vala.stamp" | xargs rm -f

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-clocks/([0-9.]+)/gnome-clocks-([0-9.]+)\.tar\.xz

## gnome-clocks 3.20.1

=== debian/changelog ===
gnome-clocks (3.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 15:45:51 +0200

gnome-clocks (3.20.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Track stable releases in debian/watch.

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - replace geoclue-2.0 with libgeoclue-2-dev (>= 2.3.1)
    - bump glib to >= 2.44
    - bump gtk+ to >= 3.19.8
  * Bump build-dependency on valac to >= 0.32.0
    - we need valac-0.32-vapi for the GTK+ 3.20 API updates.

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 18:26:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,20 +11,20 @@
                autotools-dev,
                gnome-pkg-tools,
                pkg-config,
-               geoclue-2.0,
+               libgeoclue-2-dev (>= 2.3.1),
                intltool (>= 0.50.1),
-               valac (>= 0.25.3),
+               valac (>= 0.32.0),
                libgeocode-glib-dev (>= 0.99.4),
-               libglib2.0-dev (>= 2.39),
+               libglib2.0-dev (>= 2.44),
                libgweather-3-dev (>= 3.13.91),
                libgsound-dev (>= 0.98),
-               libgtk-3-dev (>= 3.13.8),
+               libgtk-3-dev (>= 3.19.8),
                libgnome-desktop-3-dev (>= 3.7.90),
                libgirepository1.0-dev,
                yelp-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-clocks
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-clocks/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-clocks/
 Homepage: https://wiki.gnome.org/Apps/Clocks
 
 Package: gnome-clocks

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autotools_dev,gnome

override_dh_auto_configure:
	find . -name "*_vala.stamp" | xargs rm -f
	dh_auto_configure -- --disable-silent-rules

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-clocks/([\d\.]+[02468])/gnome-clocks-([\d\.]+)\.tar\.xz

## gnome-clocks 3.21.1

=== debian/changelog ===
gnome-clocks (3.21.1-0ubuntu1) yakkety; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Drop build dependency on intltool
  * Add debian/docs to install NEWS

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Use override_dh_clean target to delete the vala stamp files.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2016 22:43:58 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Source: gnome-clocks
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                gnome-pkg-tools,
                pkg-config,
                libgeoclue-2-dev (>= 2.3.1),
-               intltool (>= 0.50.1),
                valac (>= 0.32.0),
                libgeocode-glib-dev (>= 0.99.4),
                libglib2.0-dev (>= 2.44),

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autotools_dev,gnome

override_dh_clean:
	dh_clean
	# delete the vala stamps, so that valac will always rebuild all sources
	find . -name "*_vala.stamp" -delete

## gnome-clocks 3.21.2

=== debian/changelog ===
gnome-clocks (3.21.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (translations and bug fixes) 
  * Use dh compat 10 (with automatic dh-autoreconf) instead of autotools-dev
  * debian/rules:
    - Build with --as-needed and all hardening flags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2016 16:29:37 -0400

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,18 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
+Build-Depends: debhelper (>= 9.20160403~),
                gnome-pkg-tools,
-               pkg-config,
                libgeoclue-2-dev (>= 2.3.1),
-               valac (>= 0.32.0),
                libgeocode-glib-dev (>= 0.99.4),
+               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.44),
-               libgweather-3-dev (>= 3.13.91),
+               libgnome-desktop-3-dev (>= 3.7.90),
                libgsound-dev (>= 0.98),
                libgtk-3-dev (>= 3.19.8),
-               libgnome-desktop-3-dev (>= 3.7.90),
-               libgirepository1.0-dev,
+               libgweather-3-dev (>= 3.13.91),
+               pkg-config,
+               valac (>= 0.32.0),
                yelp-tools
 Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-clocks

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND= -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_clean:
	dh_clean
	# delete the vala stamps, so that valac will always rebuild all sources
	find . -name "*_vala.stamp" -delete

override_dh_autoreconf:
	dh_autoreconf --as-needed

## gnome-clocks 3.22.0

=== debian/changelog ===
gnome-clocks (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 20:42:07 +0200

gnome-clocks (3.21.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Drop build dependency on intltool
  * Add debian/docs to install NEWS
  * Use dh compat 10 (with automatic dh_autoreconf) instead of autotools-dev
  * debian/rules:
    - Build with --as-needed and all hardening flags

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Use override_dh_clean target to delete the vala stamp files.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 18:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Source: gnome-clocks
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.20160403~),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev (>= 0.99.4),
@@ -22,8 +21,8 @@
                valac (>= 0.32.0),
                yelp-tools
 Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-clocks
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-clocks/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-clocks
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-clocks/
 Homepage: https://wiki.gnome.org/Apps/Clocks
 
 Package: gnome-clocks

## gnome-clocks 3.22.1

=== debian/changelog ===
gnome-clocks (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Oct 2016 17:47:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                libgeoclue-2-dev (>= 2.3.1),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND= -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
 	dh $@ --with gnome

## gnome-clocks 3.23.90

=== debian/changelog ===
gnome-clocks (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2017 05:04:33 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-clocks
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                libgeoclue-2-dev (>= 2.3.1),

## gnome-clocks 3.24.0

=== debian/changelog ===
gnome-clocks (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Mar 2017 14:36:19 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                libgeoclue-2-dev (>= 2.3.1),

## gnome-clocks 3.25.90

=== debian/changelog ===
gnome-clocks (3.25.90-1) unstable; urgency=medium

  * New upstream release
  * Build with meson.
  * debian/control.in:
    - Bump Build-Dependencies per upstream to stable releases
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 13:41:27 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-clocks
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10.3),
               gnome-pkg-tools,
               itstool,
               libgeoclue-2-dev (>= 2.4),
               libgeocode-glib-dev (>= 1.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.44),
               libgnome-desktop-3-dev (>= 3.7.90),
               libgsound-dev (>= 0.98),
               libgtk-3-dev (>= 3.20.0),
               libgweather-3-dev (>= 3.13.91),
               meson (>= 0.41.0),
               pkg-config,
               valac (>= 0.32.0)
Standards-Version: 4.1.0
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-clocks
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-clocks/
Homepage: https://wiki.gnome.org/Apps/Clocks

Package: gnome-clocks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         geoclue-2.0
Description: Simple GNOME app with stopwatch, timer, and world clock support
 GNOME Clocks is a simple application to show the time and date in multiple
 locations and set alarms or timers. A stopwatch is also included.

## gnome-clocks 3.26.0

=== debian/changelog ===
gnome-clocks (3.26.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 15:22:44 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10.3),
                gnome-pkg-tools,
                itstool,

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome --buildsystem=meson

## gnome-clocks 3.26.1

=== debian/changelog ===
gnome-clocks (3.26.1-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 08:26:18 -0500

gnome-clocks (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 16:58:27 -0500

gnome-clocks (3.26.1-1) unstable; urgency=medium

  * New upstream release (LP: #1723734)
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 08:34:18 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                itstool,
                libgeoclue-2-dev (>= 2.4),
@@ -21,9 +21,9 @@
                meson (>= 0.41.0),
                pkg-config,
                valac (>= 0.32.0)
-Standards-Version: 4.1.0
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-clocks
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-clocks/
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-clocks
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-clocks.git
 Homepage: https://wiki.gnome.org/Apps/Clocks
 
 Package: gnome-clocks

## gnome-clocks 3.27.1

=== debian/changelog ===
gnome-clocks (3.27.1-1build1) bionic; urgency=medium

  * No-change rebuild against latest libgweather

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 23:05:50 -0500

gnome-clocks (3.27.1-1) experimental; urgency=medium

  * New upstream development release
  * Bump minimum libgweather-3-dev to 3.27.2

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Feb 2018 11:25:37 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libgnome-desktop-3-dev (>= 3.7.90),
                libgsound-dev (>= 0.98),
                libgtk-3-dev (>= 3.20.0),
-               libgweather-3-dev (>= 3.13.91),
+               libgweather-3-dev (>= 3.27.2),
                meson (>= 0.41.0),
                pkg-config,
                valac (>= 0.32.0)

## gnome-clocks 3.28.0

=== debian/changelog ===
gnome-clocks (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop git patch included in new release
  * debian/rules: Drop explicit buildsystem=meson, autotools has been rewmoved

 -- Tim Lunn <tim@feathertop.org>  Sun, 11 Mar 2018 11:07:14 +1100

gnome-clocks (3.27.1-2) experimental; urgency=medium

  * Cherry-pick 0001-search-provider-Workaround-for-crashes-in-gweather.patch:
    Fix crash in GNOME Shell search provider (LP: #1749937)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Feb 2018 23:01:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-clocks
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                itstool,

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

## gnome-clocks 3.30.0

=== debian/changelog ===
gnome-clocks (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 01 Sep 2018 16:18:03 -0400

## gnome-clocks 3.30.1

=== debian/changelog ===
gnome-clocks (3.30.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:53:45 +0800

gnome-clocks (3.30.1-2) unstable; urgency=medium

  * Build-Depend on libxml2-utils for xmllint
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 10:50:10 -0500

gnome-clocks (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Nov 2018 13:26:33 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                itstool,
@@ -18,10 +18,11 @@
                libgsound-dev (>= 0.98),
                libgtk-3-dev (>= 3.20.0),
                libgweather-3-dev (>= 3.27.2),
+               libxml2-utils,
                meson (>= 0.41.0),
                pkg-config,
                valac (>= 0.32.0)
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-clocks
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-clocks.git
 Homepage: https://wiki.gnome.org/Apps/Clocks

## gnome-clocks 3.32.0

=== debian/changelog ===
gnome-clocks (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 07:19:33 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                itstool,
                libgeoclue-2-dev (>= 2.4),
                libgeocode-glib-dev (>= 1.0),
@@ -19,7 +19,7 @@
                libgtk-3-dev (>= 3.20.0),
                libgweather-3-dev (>= 3.27.2),
                libxml2-utils,
-               meson (>= 0.41.0),
+               meson (>= 0.46.0),
                pkg-config,
                valac (>= 0.32.0)
 Standards-Version: 4.3.0

## gnome-clocks 3.34.0

=== debian/changelog ===
gnome-clocks (3.34.0-1build2) focal; urgency=medium

  * No-change rebuild against libgnome-desktop-3-19

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 04:32:48 +0000

gnome-clocks (3.34.0-1build1) focal; urgency=medium

  * No-change rebuild against latest libgweather

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Oct 2019 06:29:37 -0400

gnome-clocks (3.34.0-1) unstable; urgency=medium

  * New upstream release
    + Expose world clock locations to gnome-shell

 -- Iain Lane <laney@debian.org>  Mon, 09 Sep 2019 16:48:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-clocks
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                itstool,
@@ -19,7 +20,7 @@
                libgtk-3-dev (>= 3.20.0),
                libgweather-3-dev (>= 3.27.2),
                libxml2-utils,
-               meson (>= 0.46.0),
+               meson (>= 0.50.0),
                pkg-config,
                valac (>= 0.32.0)
 Standards-Version: 4.3.0

## gnome-clocks 3.36.0

=== debian/changelog ===
gnome-clocks (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - Adjust the build-dependencies
    - debian/docs: NEWS → NEWS.md
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 19:00:50 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-clocks
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream,
               debhelper-compat (= 12),
               dh-sequence-gnome,
               itstool,
               libgeoclue-2-dev (>= 2.4),
               libgeocode-glib-dev (>= 1.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.58),
               libgnome-desktop-3-dev (>= 3.7.90),
               libgsound-dev (>= 0.98),
               libgtk-3-dev (>= 3.20.0),
               libgweather-3-dev (>= 3.32.0),
               libhandy-0.0-dev (>= 0.0.10),
               libxml2-utils,
               meson (>= 0.50.0),
               pkg-config,
               valac (>= 0.32.0)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-clocks
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-clocks.git
Homepage: https://wiki.gnome.org/Apps/Clocks

Package: gnome-clocks
Architecture: any
Depends: geoclue-2.0,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple GNOME app with stopwatch, timer, and world clock support
 GNOME Clocks is a simple application to show the time and date in multiple
 locations and set alarms or timers. A stopwatch is also included.

## gnome-clocks 3.36.2

=== debian/changelog ===
gnome-clocks (3.36.2-1~ubuntu20.04.1) focal; urgency=medium

  * No-change backport to focal (LP: #1879917)

 -- Amr Ibrahim <amribrahim1987@hotmail.com>  Sat, 12 Sep 2020 18:12:18 +0200

gnome-clocks (3.36.2-1) unstable; urgency=medium

  * New upstream release (Closes: #961198)
  * Drop debian/patches/world-handle-null-datetime.patch, applied upstream
  * debian/control.in: Add appstream-util and desktop-file-utils to the BD

 -- Laurent Bigonville <bigon@debian.org>  Fri, 26 Jun 2020 10:48:43 +0200

gnome-clocks (3.36.0-2) unstable; urgency=medium

  * Fix crash due to null datetime, patch from upstream

 -- Laurent Bigonville <bigon@debian.org>  Fri, 08 May 2020 10:12:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream,
+               appstream-util <!nocheck>,
                debhelper-compat (= 12),
+               desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                itstool,
                libgeoclue-2-dev (>= 2.4),

## gnome-clocks 3.38.0

=== debian/changelog ===
gnome-clocks (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * control: Switch to libhandy-1, per meson.build
  * docs: NEWS.md is renamed to NEWS

 -- Iain Lane <laney@debian.org>  Fri, 25 Sep 2020 18:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libgsound-dev (>= 0.98),
                libgtk-3-dev (>= 3.20.0),
                libgweather-3-dev (>= 3.32.0),
-               libhandy-0.0-dev (>= 0.0.10),
+               libhandy-1-dev (>= 1.0.0),
                libxml2-utils,
                meson (>= 0.50.0),
                pkg-config,

## gnome-clocks 40~beta

=== meson_options.txt ===
--- 
+++ 
@@ -8,3 +8,5 @@
   value: 'default',
   description: 'The build profile for Clock. One of "default" or "development".'
 )
+
+option('docs', type : 'boolean', value : false)

=== debian/changelog ===
gnome-clocks (40~beta-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 21:13:09 +0100
